Ace Stream Forum

Базовые продукты ACE Stream ( Torrent Stream ) => Анонсы и Релизы => Тема начата: anton от 20 Октябрь 2014, 21:48:01

Название: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: anton от 20 Октябрь 2014, 21:48:01
Ace Stream 3.0 для Ubuntu
Выпущена версия Ace Stream 3.0.2 для Ubuntu. Основное нововведение - поддержка нового протокола. Новая версия доступна в репозиториях для Ubuntu 12.04, 13.10 и 14.04. Ссылки на репозитории и инструкции по установке описаны ниже.

Установка Ace Stream на Ubuntu из репозитория

Шаг 1

Добавить ссылку на соответствующий репозиторий в файл /etc/apt/sources.list.

Репозиторий следует выбирать в зависимости от операционной системы.

Ubuntu 12.04:
deb http://repo.acestream.org/ubuntu/ precise main

Ubuntu 13.10:
deb http://repo.acestream.org/ubuntu/ saucy main

Ubuntu 14.04:
deb http://repo.acestream.org/ubuntu/ trusty main

Шаг 2

Установка публичного ключа. Для этого необходимо выполнить следующую команду:

sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -

Шаг 3

Установка пакета acestream-full.

sudo apt-get update
sudo apt-get install acestream-full

В репозитории для Ubuntu доступны следующие пакеты:

----------------------------------------------------------------------

Исходные коды самого плеера (Ace Player) выложены здесь: https://bitbucket.org/AceStream/acestreamplayer
P.S. Мы будем рады всем желающим которые помимо использования плеера и еще и примут активное участие в его разработке и развитии. 

Также напоминаем, что все сборки последних версий движка 3.0 ( без плеера) представлены здесь: http://wiki.acestream.org/wiki/index.php/AceStream_3.0
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: zidar от 22 Октябрь 2014, 14:43:32
Пакеты, имеющие неудовлетворённые зависимости:
acestream-full : Зависит: acestream-player (>= 3.0.2-1trusty1) но он не будет установлен
Зависит: acestream-mozilla-plugin (>= 3.0.2-1trusty1) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
ubuntu 14.10
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: anton от 22 Октябрь 2014, 14:57:03
Пакеты, имеющие неудовлетворённые зависимости:
acestream-full : Зависит: acestream-player (>= 3.0.2-1trusty1) но он не будет установлен
Зависит: acestream-mozilla-plugin (>= 3.0.2-1trusty1) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
ubuntu 14.10
Ubuntu 14.10 еще в стадии бета-тестирования, поэтому под эту ОС пакеты мы не собирали и что-то может не работать.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: zidar от 22 Октябрь 2014, 15:03:36
Пакеты, имеющие неудовлетворённые зависимости:
acestream-full : Зависит: acestream-player (>= 3.0.2-1trusty1) но он не будет установлен
Зависит: acestream-mozilla-plugin (>= 3.0.2-1trusty1) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
ubuntu 14.10
Ubuntu 14.10 еще в стадии бета-тестирования, поэтому под эту ОС пакеты мы не собирали и что-то может не работать.
а когда ожидать для Ubuntu 14.10 ?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Baltazar от 23 Октябрь 2014, 06:41:33
Ubuntu 14.04.1 полет нормальный. Пришлось доставлять pip руками.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: max_b от 23 Октябрь 2014, 21:40:34
Пакеты, имеющие неудовлетворённые зависимости:
acestream-full : Зависит: acestream-player (>= 3.0.2-1trusty1) но он не будет установлен
Зависит: acestream-mozilla-plugin (>= 3.0.2-1trusty1) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
ubuntu 14.10
В 14.04 работал вариант установки с использованием команды "sudo apt-get install acestream-engine", 14.10 он тоже работает, но ставит только файлы движка (судя по названию :) ). Смотрю через XBMC.

Удачи,
Макс.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: victormar от 24 Октябрь 2014, 15:06:15
На 14.04 х86 движок не запускается. Висит в зомби. Через терминал выдает кучу ошибок
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Baltazar от 24 Октябрь 2014, 16:17:52
не работает --upload limit  50000
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: victormar от 24 Октябрь 2014, 17:35:56
Поставил на 14.04 движок с 12.04 сверху - все  работает))) тока в консоли
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Koljan1970 от 24 Октябрь 2014, 18:15:01
Ubuntu 14.04:
deb http://repo.acestream.org/ubuntu/ trusty main

Пакеты имеющие неудовлетворённые зависимости:
 acestream-full : Зависимости (Depends): acestream-engine (>= 3.0.2-1trusty1) но 2.1.6-1raring4 будет установлен
E: Невозможно убрать проблемы, вы имеете сломаные зафиксированые пакеты.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Baltazar от 25 Октябрь 2014, 07:11:44
Ubuntu 14.04:
deb http://repo.acestream.org/ubuntu/ trusty main

Пакеты имеющие неудовлетворённые зависимости:
 acestream-full : Зависимости (Depends): acestream-engine (>= 3.0.2-1trusty1) но 2.1.6-1raring4 будет установлен
E: Невозможно убрать проблемы, вы имеете сломаные зафиксированые пакеты.
Сними холд с пакета. Явно ставил по ману с левого сайта, с ручной доустановкой пакетов, затем все снести и поставить. Не понимаю зачем вам линукс с такими познаниями. Делая что-то вы просто них... Не понимаете.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: victormar от 25 Октябрь 2014, 13:01:46
Ну так раз вы знаете то и соберите нормально рабочие пакеты. Чтоб такие нубы как мы просто их поставили и не думали ни о чем
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: DemonJ от 25 Октябрь 2014, 13:04:53
У меня MINT17 (на базе UBUNTU 14.04). Сделал всё по инструкции здесь http://help.ubuntu.ru/wiki/ace_stream, хотя это тоже самое, что и тут описано. У меня всё установилось и работает без проблем.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: batgoiko от 25 Октябрь 2014, 14:45:39
Здраствуйте, когда ожидать полная сборка для Debian Wheezy?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Zhenqka от 25 Октябрь 2014, 14:59:07
На некоторых каналах торрент-тв происходит крах плагина (Перец, ТНТ-comedy) помогает удаление файла /home/user/.local/share/.ACEStream/options.sdb только до перезагрузки страницы с каналом. Это можно исправить?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: sab от 25 Октябрь 2014, 22:29:31
24 октября был релиз 14.10. Когда можно ожидать сборки под него?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: sokoban от 25 Октябрь 2014, 23:37:22
не работает --upload limit  50000
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: timroll от 26 Октябрь 2014, 22:33:09
Xubuntu 12.04 и Xubuntu 14.04 - всё работает, но есть несколько вопросов:
1. Еще когда не было новой версии для Linux, заметил, что Magic Player не работает на сайте rutracker.org, в то время как на rutor.org всё работало и работает отлично. В новой версии ничего не изменилось (хотя ожидал другого). С чем это связано и нельзя ли это исправить (чтобы работало везде)?
2. Нет возможности изменить в "расширенных опциях" номер порта. По умолчанию указан 8621. На какой бы я ни менял, остается всё такой же. А хотелось бы, чтоб один комп за роутером пользовался одним портом для входящих соединений, а другой - иным. Ситуация с невозможностью поменять самостоятельно порт - это баг или фича?
3. Нельзя ли добавить поддержку чипа Broadcom CrystalHD? Теперь acestream-player базируется на vlc 2.1.4. Начиная с версии vlc 2.0.0 в нем появилась экспериментальная поддержка указанного чипа. Включается она при сборке ключом --enable-crystalhd. Я попытался собрать acestream-player самостоятельно с этим ключом, но из-за недостатка опыта у меня ничего не вышло. На компьютере со слабым процессором такой чип помогает в раскодировке MPEG2, MPEG4, X264. Уважаемые разработчики, вы очень поможете мне (а возможно, кому-то еще), если при обновлении версии aceplayer'а добавите при сборке указанный мной ключ для поддержки карт CrystalHD.
Спасибо.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Amethystium от 01 Ноябрь 2014, 11:45:12
пакет "движка" для wheezy почему то никто не удосужился собрать, в репозитории все та же 2.1.6 версия, ну я собрал для i386, плеер с плагином от Precise, проблем пока нет, с предыдущим "движком" 3.0.2 от Precise на некоторых каналах зависала система намертво, все таки "родной" надо пакет, acestream-engine_3.0.3-wheezy_i386.deb (https://mega.co.nz/#!kVVFSJ6I!OsVF3gUSDYDbhzLBZbR8KYzjQpAPwolRkqNQbCPEINA)
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Trodomium от 02 Ноябрь 2014, 01:43:50
 Все встало без проблем и плеер и плагин. Ubuntu 14.04 (x64).

Из проблем плеера - иногда пропадает звук, иногда появляется после буферезации, иногда нет.


Основной вопрос.  Кто может подсказать оптимальные настройки для относительно слабого инета ( ~ 170 DL ) Размер кэша и пр.   

 При добавлении ссылки через Content ID, в настройках можно указать кэш.  Он, как я понимаю отличается от Буфера VOD и Буфера LIve. Что это за кэш?  Так же и что это за Буферы, тоже неплохо если кто-нибудь просветит.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: alex286 от 02 Ноябрь 2014, 12:10:54
Acestream - плеер в начале проигрывания файла торрента падает вот  с таким "выхлопом".
При этом никаких учёток  с именем "одмин" нет и в помине... Где этот бл.. файл, в котором это записано???

alex@alex-home:~$ /usr/bin/acestreamplayer --started-from-file
VLC media player 2.1.4 Ace Stream (revision 2.1.4-0-g2a072be)
[0x9254f58] main interface error: no suitable interface module
[0x9197b28] main libvlc error: interface "globalhotkeys,none" initialization failed
[0x9197b28] main libvlc: Запуск vlc с интерфейсом по умолчанию. Используйте 'cvlc' для запуска vlc без интерфейса.
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
acestreamplayer: /home/odmin/projects/acestreamplayer/vlc-2.1.4/src/misc/variables.c:787: var_GetChecked: Проверочное утверждение «expected_type == 0 || (p_var->i_type & 0x00f0) == expected_type» не выполнено.
Аварийный останов (сделан дамп памяти)
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Null от 03 Ноябрь 2014, 15:49:52
Acestream - плеер в начале проигрывания файла торрента падает вот  с таким "выхлопом".
При этом никаких учёток  с именем "одмин" нет и в помине... Где этот бл.. файл, в котором это записано???

alex@alex-home:~$ /usr/bin/acestreamplayer --started-from-file
VLC media player 2.1.4 Ace Stream (revision 2.1.4-0-g2a072be)
[0x9254f58] main interface error: no suitable interface module
[0x9197b28] main libvlc error: interface "globalhotkeys,none" initialization failed
[0x9197b28] main libvlc: Запуск vlc с интерфейсом по умолчанию. Используйте 'cvlc' для запуска vlc без интерфейса.
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
acestreamplayer: /home/odmin/projects/acestreamplayer/vlc-2.1.4/src/misc/variables.c:787: var_GetChecked: Проверочное утверждение «expected_type == 0 || (p_var->i_type & 0x00f0) == expected_type» не выполнено.
Аварийный останов (сделан дамп памяти)
Подтверждаю проблему... Началось прошлой ночью на некоторых каналах, днём и вечером всё нормально работало. Смотрел Sky Sports F1 несколько часов вчера вечером - всё нормально было, потом aceplayer стал отваливаться на этой же трансляции. Сегодня вообще крашится на всех трансляциях с таким же выхлопом.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Bloodzeed от 03 Ноябрь 2014, 20:25:51
Does this have timeshift like in version 2.1.6
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: zidar от 03 Ноябрь 2014, 22:50:59
24 октября был релиз 14.10. Когда можно ожидать сборки под него?
да мне тоже интересно
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: alex29734 от 04 Ноябрь 2014, 09:12:33
Доброго времени суток.ОС openSuSe 12.2 . C acestreamplayer 2.1.6 проблем небыло вообще. Работало как часы. В новой версии замечен такой глюк: при открытии acestreamplayer-ом файла торрента на много файлов (сборник мультов ) начинается проигрывание первого мульта. Переходим в плейлист, пытаемся снять галочки с ненужных файлов -- Аварийный останов : не выполнено проверочное утверждение = 35 или чего-то там. При открытии нескольких видеофайлов с диска наблюдается та же картина.Кстати на родной системе, то бишь ubuntu 12.04 всё те же симптомы- плеер падает! Большая просьба к разработчикам - показать в каком куске кода надо что-нибудь подправить. Или пофиксить баг. Вопрос к вам же: пытался пересобирать ваш плеер из исходников-компилится без ошибок, но при запуске во-первых вылетает (см.выше), а во вторых не хочет воспроизводить торрент-контент (файлы или id -без разницы) - пишет no ads option this product (?????) .  Как избавиться от этого?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: anton от 04 Ноябрь 2014, 12:46:07
24 октября был релиз 14.10. Когда можно ожидать сборки под него?
да мне тоже интересно
На этой неделе постараемся выпустить.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: anton от 04 Ноябрь 2014, 12:48:40
Всем спасибо за описание проблем с вылетом. Разбираемся. Надеюсь, скоро исправим.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: anton от 05 Ноябрь 2014, 12:05:06
Мы обновили версии для убунту в репозитории.

У кого были вылеты - попробуйте обновиться.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: dvo от 05 Ноябрь 2014, 12:21:43
На Wheezy легко встали пакеты из Precise (предыдущую версию ставил из Raring). Понадобилось только выдрать libx264-120 из squeeze-backports.

В KDE не работает значок AceStream в системном лотке. Это ещё с первых версий повелось.

Немного смущает несоответствие версий пакетов "3.0" версиям программ "2.2".

Возможно ли где-то в ACE Player HD прописать авторизацию для каналов с torrent-tv.ru? А то я сначала лезу в браузер, авторизуюсь там и только потом могу смотреть в плейере - не удобно. Я что-то недоглядел?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: alex286 от 05 Ноябрь 2014, 20:44:28
У кого были вылеты - попробуйте обновиться.
Ubuntu 14.04   все работает в бровзере...
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Null от 06 Ноябрь 2014, 03:29:24
Мы обновили версии для убунту в репозитории.

У кого были вылеты - попробуйте обновиться.
Спасибо, теперь aceplayer работает нормально.
Возможно ли где-то в ACE Player HD прописать авторизацию для каналов с torrent-tv.ru? А то я сначала лезу в браузер, авторизуюсь там и только потом могу смотреть в плейере - не удобно. Я что-то недоглядел?
Имхо, это не имеет отношения к acestream... Проверка авторизации на сайте - "фишка" исключительно самого сайта torrent-tv. И смысл этой фигни как раз в том, чтобы вы смотрели трансляции исключительно в браузере на сайте через плагин, а не в aceplayer'е. Torrent-tv во многом существует за счёт рекламы и поэтому им необходимо чтобы вы её смотрели (т.е загружали страницу в браузере). Насколько я знаю, у них можно купить vip и тогда, наверное, будет возможность спокойно смотреть в aceplayer'е и даже получить полный плейлист с каналами.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: dvo от 06 Ноябрь 2014, 18:00:07
Имхо, это не имеет отношения к acestream... Проверка авторизации на сайте - "фишка" исключительно самого сайта torrent-tv. И смысл этой фигни как раз в том, чтобы вы смотрели трансляции исключительно в браузере на сайте через плагин, а не в aceplayer'е. Torrent-tv во многом существует за счёт рекламы и поэтому им необходимо чтобы вы её смотрели (т.е загружали страницу в браузере). Насколько я знаю, у них можно купить vip и тогда, наверное, будет возможность спокойно смотреть в aceplayer'е и даже получить полный плейлист с каналами.
Понял, спасибо.
А на счёт их ВИПа - его преимущества "сильно преувеличены". И опять же, нужна авторизация в браузере.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: maximelson от 08 Ноябрь 2014, 11:55:25

В KDE не работает значок AceStream в системном лотке. Это ещё с первых версий повелось.


А что там не работает? Если нет значка в панели kde, нужно поставить эти пакеты,и он появится и будет работать.
sudo apt-get install python-gtk2
sudo apt-get install python-appindicator
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: alex286 от 08 Ноябрь 2014, 19:50:35
А будет версия для 14.10?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: dvo от 09 Ноябрь 2014, 11:11:25

В KDE не работает значок AceStream в системном лотке. Это ещё с первых версий повелось.


А что там не работает? Если нет значка в панели kde, нужно поставить эти пакеты,и он появится и будет работать.
sudo apt-get install python-gtk2
sudo apt-get install python-appindicator
Значок-то есть, но при клике на него выпадает менюшка состоящая из одного заголовка. И всё.

зы На всякий случай - речь не о значке плеера, а энжина.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: alex286 от 09 Ноябрь 2014, 18:44:49
Значок-то есть, но при клике на него выпадает менюшка состоящая из одного заголовка. И всё.

У меня примерно такая-же хрень, поскольку фиксированный размер окна. Можно попробовать поменять размер шрифта и посмотреть, что получится...
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: points20 от 09 Ноябрь 2014, 19:59:23
Насчет 14.10 ответите? Она уже давно вышла.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: maximelson от 10 Ноябрь 2014, 12:52:33

В KDE не работает значок AceStream в системном лотке. Это ещё с первых версий повелось.


А что там не работает? Если нет значка в панели kde, нужно поставить эти пакеты,и он появится и будет работать.
sudo apt-get install python-gtk2
sudo apt-get install python-appindicator
Значок-то есть, но при клике на него выпадает менюшка состоящая из одного заголовка. И всё.

зы На всякий случай - речь не о значке плеера, а энжина.
У меня правой кнопкой по значку(движка).видны- выход,опции,ace streamHD.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: freeniki от 10 Ноябрь 2014, 18:05:41
Ребята после установки Ace Stream в KUbuntu 14.04 amd64 крашиться Viber при выборе контактов.
Замечу, что сам движок или плагин не запущены. Баг проходит если удалить пакеты Ace Strem. В чем может быть проблема?
UPD:
Проблема решена переносом плагина:
sudo mv /usr/lib/Mozilla/plugins/libace_plugin.so /usr/lib/firefox-addons/plugins/libace_plugin.soНо я все-таки снес ваш Ace Stream, потому что он глючит жестко. Плазму уже пару раз ронял с фоксом.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: zidar от 19 Ноябрь 2014, 14:32:59
Насчет 14.10 ответите? Она уже давно вышла.
да тоже интересует этот вопрос обещали на той неделе  :-\
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: agafron от 20 Ноябрь 2014, 00:14:53
доброго времени суток, не взлетает плеер в браузерах, всех кроме firefox и palemoon. Magic player добавлен и в oper`y и в chrome и в yandex-browser, но пишет "Для работы Magic Player Вам необходимо установить
Ace Stream P2P Multimedia Plug-in"
Как это поправить???
Спасибо!
ЗЫ ubuntu 12.04 x64
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Viston от 28 Ноябрь 2014, 19:39:51
доброго времени суток, не взлетает плеер в браузерах, всех кроме firefox и palemoon. Magic player добавлен и в oper`y и в chrome и в yandex-browser, но пишет "Для работы Magic Player Вам необходимо установить
Ace Stream P2P Multimedia Plug-in"
Как это поправить???
Спасибо!
ЗЫ ubuntu 12.04 x64
Подтверждаю наличие данной проблемы у себя
P.S. Также есть баг с отображением процентов буферизации, иногда выскакивает процентаж, как будто программа пытается что-то догрузить, видео при этом спокойно отображается.
P.S.S Ubuntu 14.04 (x64)
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: xssmd5 от 01 Декабрь 2014, 20:15:17
Не применяется параметр
http://127.0.0.1:8621/app/update?max_peers=100

Ответ:
{"max_peers": {"success": true}, "max_upload_slots": {"success": true}}

Но в http://127.0.0.1:8621/app/monitor
всеровно
"connected_peers_count": 50, "max_peers": 50
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: xssmd5 от 01 Декабрь 2014, 20:20:47
Подтверждаю наличие данной проблемы у себя
P.S. Также есть баг с отображением процентов буферизации, иногда выскакивает процентаж, как будто программа пытается что-то догрузить, видео при этом спокойно отображается.
P.S.S Ubuntu 14.04 (x64)
Аналогично
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kuzmich от 16 Декабрь 2014, 08:31:11
При запуске плеера выходит ошибка:

# acestreamplayer
acestreamplayer: error while loading shared libraries: libtsplayer.so.5: wrong ELF class: ELFCLASS64

Ubuntu 13.10

Как лечить?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: miltador от 20 Декабрь 2014, 20:06:03
Не забывайте обновлять репозитории, пожалуйста. Согласно вики для Ubuntu 14.04 актуальная версия 3.0.5.1 а в репозитории лежит 3.0.3.1
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: brat99 от 04 Январь 2015, 15:01:25
24 октября был релиз 14.10. Когда можно ожидать сборки под него?
да мне тоже интересно
На этой неделе постараемся выпустить.
Длинная какая неделя выдалась  :)
Спасибо за вашу работу. Но почему-то 14.10 все игнорируют. А у меня на компе с ним совсем никаких проблем в отличии от 14.04, потому и использую. Сейчас установил движок и использую с kodi (xbmc).
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: AndrewMLion от 07 Январь 2015, 10:52:41
Люди добрые подскажите, а для версии 14.10 будет плеер ???? уж очень хочется ...
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: meksis от 07 Январь 2015, 14:59:14
При просмотре тв (пользуюсь браузером firefox) практически постоянно на верху экрана написано "БУФЕРИЗАЦИЯ %" Как избавиться от этого?  У меня ничего не буферит, а это слово постоянно раздражает  :'(
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: alx77 от 09 Январь 2015, 16:04:04
При просмотре тв (пользуюсь браузером firefox) практически постоянно на верху экрана написано "БУФЕРИЗАЦИЯ %" Как избавиться от этого?  У меня ничего не буферит, а это слово постоянно раздражает  :'(
у меня такая же проблема, но только на фулскрине, кто как решил?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: miltador от 09 Январь 2015, 19:07:51
+1 к просьбам об репозитории для Ubuntu 14.10.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Viston от 14 Январь 2015, 18:52:01
Когда будет доступна 3.1 Версия под Ubuntu для тестирования?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: denisko79 от 17 Январь 2015, 22:33:12
На Debian 7 как то можно завести ?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: meksis от 04 Февраль 2015, 09:27:53
При просмотре тв (пользуюсь браузером firefox) практически постоянно на верху экрана написано "БУФЕРИЗАЦИЯ %" Как избавиться от этого?  У меня ничего не буферит, а это слово постоянно раздражает  :'(
Уважаемые разработчики, если Вы не знаете в чем дело так хотя бы напишите, что не знаете как это исправить.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: vitalinya от 04 Февраль 2015, 20:11:43
При установке full пакета не устанавливает расширение. И жалуется на отсутствие плагина. Плагин ставится только в firefox. В chrome/chromium не ставится.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: agsamfisher от 04 Февраль 2015, 21:15:21
При установке full пакета не устанавливает расширение. И жалуется на отсутствие плагина. Плагин ставится только в firefox. В chrome/chromium не ставится.
Поддерживаю!
Раньше Хром открывал сайт с контентом, а воспроизводить передавал в AcePlayerHD, а сейчас висит картинка:

Для продолжения работы плеера Вам необходимо включить
Ace Stream P2P Multimedia Plug-in
ИНСТРУКЦИЯ

и в "плагинах" AceStream нет!

переустанавливал и Хром, и AceStream 3.0 - ничего не помогло!

В FireFoxe кстати:

ACE Stream P2P Multimedia Plug-in
ACE Stream Plug-in Version 2.2.5.1, Copyright (c) 2012-2013 Innovative Digital Technologies

А по вызову: acestreamengine --version в терминале выдаёт:
home@ubuntu:~$ acestreamengine --version
version: 3.0.3 revision: 1355

acestreamplayer --version
VLC media player 2.1.4 Ace Stream (revision 2.1.4-0-g2a072be)
Версия VLC 2.1.4 Ace Stream (2.1.4-0-g2a072be)
Скомпилировано odmin@odmin-VirtualBox (Aug  5 2014 12:27:19)
Компилятор: gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1)
Эта программа поставляется БЕЗ ГАРАНТИИ в степени, разрешенной законодательством.
Вы можете передавать её на условиях Стандартной общественной лицензии GNU;
Подробная информация находится в файле COPYING.
Программа разработана командой VideoLAN (см. файл AUTHORS).

Вобщем, как говорили "Колобки":
- Ничего не понимаю!!!
- Аналогично!!!  :-\
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: igoru от 08 Февраль 2015, 16:43:45
При установке full пакета не устанавливает расширение. И жалуется на отсутствие плагина. Плагин ставится только в firefox. В chrome/chromium не ставится.

Хром прекратил поддержку NPAPI плагинов

http://www.chromium.org/developers/npapi-deprecation
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: vitalinya от 09 Февраль 2015, 08:17:59
Спасибо за инфу, только мне интересно на этом история заканчивается, или будет какое-то альтернативное решение этой проблеме?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Viston от 09 Февраль 2015, 13:32:25
Кто знает, какая самая последняя версия исходников acestream для Linux? Просто легче самому собрать, дебианизировать и установить программу, чем ждать пока разрабы соизволят добавить репозиторий для Ubuntu 14.10.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: vitalinya от 10 Февраль 2015, 10:04:49
Кто знает, какая самая последняя версия исходников acestream для Linux? Просто легче самому собрать, дебианизировать и установить программу, чем ждать пока разрабы соизволят добавить репозиторий для Ubuntu 14.10.
Зайди сюда (http://wiki.acestream.org/wiki/index.php/AceStream_3.0). Там как я понял найдешь последние релизы. Но еще можешь поискать ссылку на git и оттуда стянуть самую последнюю версию.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: igoru от 12 Февраль 2015, 21:27:03
Кто знает, какая самая последняя версия исходников acestream для Linux? Просто легче самому собрать, дебианизировать и установить программу, чем ждать пока разрабы соизволят добавить репозиторий для Ubuntu 14.10.

acestream engine закрытые исходники
http://forum.torrentstream.org/index.php?topic=2968.msg11937#msg11937
но на убунту 14.10 становится из репизитория 14.04

acestram player исходники доступны по адресу
https://bitbucket.org/AceStream/acestreamplayer
собирать не пробовал
 
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: ddv2005 от 18 Февраль 2015, 05:22:38
У меня устарновлен последний acestream engine + aceproxy на Ubuntu 14.04. Постоянно идет получение 4 каналов. Так вот раз в несколько дней все останавливается и в логах aceproxy пишется что таймаут аутентификации и возможно Wrong Key. При этом если перезапустить acestream engine, то он начинает принимать коннекшены от aceproxy но дальше авторизации ничего не происходит. Опытным путем выяснилось, что если удалить директорию .ACEStream то все нормально поднимается. Есть подозрение что acestream engine подвисает на обработке тех гигабайтов, которые он сам на генерировал в папке .ACEStream. Можно как нибудь ограничить использование диска или хотя бы что бы он не подвисал при чтении того что он там поназаписывал?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: lapinav от 03 Март 2015, 09:20:03
Установил на Linux Mint 17
в браузере Firefox видео Не показывает. хотя звук идёт. (ну т.е. плагин пашет но некорректно). открываю Ace Strеam Player , вставляю ContentID - показывает. но пришлось пошаманить настройки вывода видео в плеере. (по умолчанию стоит "автоматически"). выставил вывод через Х11 (ХСВ) и убрал оверлей.
с помощью Ace Stram я смотрю торрентами сериалы и фильмы в HD качестве на винде. Тут тоже оказалось возможным но приходится включать соображалку.
Вопрос: С чем может быть связано отсутствие вывода видео в браузере??? и как починить
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: lapinav от 03 Март 2015, 09:22:16
У меня устарновлен последний acestream engine + aceproxy на Ubuntu 14.04. Постоянно идет получение 4 каналов. Так вот раз в несколько дней все останавливается и в логах aceproxy пишется что таймаут аутентификации и возможно Wrong Key. При этом если перезапустить acestream engine, то он начинает принимать коннекшены от aceproxy но дальше авторизации ничего не происходит. Опытным путем выяснилось, что если удалить директорию .ACEStream то все нормально поднимается. Есть подозрение что acestream engine подвисает на обработке тех гигабайтов, которые он сам на генерировал в папке .ACEStream. Можно как нибудь ограничить использование диска или хотя бы что бы он не подвисал при чтении того что он там поназаписывал?

в трее значок. опции - расширенные опции - очистить папку кэша. рекомендуется чистить каждый раз после окончания просмотра.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: meksis от 15 Апрель 2015, 15:12:48
Всем привет. При просмотре ТВ с периодичностью в 5-10  минут пропадает звук и больше не появляется пока не перезагрузишь. И так постоянно на любом канале. В чем может быт проблема? Я специально полностью сносил систему и ставил все по новой  и без результатно. (Ubuntu 14.04)
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: yuriyfirstov@gmail.com от 21 Апрель 2015, 12:16:07
 ;) 


Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Zhenqka от 24 Апрель 2015, 15:47:12
Всем привет. При просмотре ТВ с периодичностью в 5-10  минут пропадает звук и больше не появляется пока не перезагрузишь. И так постоянно на любом канале. В чем может быт проблема? Я специально полностью сносил систему и ставил все по новой  и без результатно. (Ubuntu 14.04)

Просто кривые трансляции. Можно правой кнопкой по экрану - аудиодорожка - отключить - включить
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: meksis от 24 Апрель 2015, 16:27:52
Всем привет. При просмотре ТВ с периодичностью в 5-10  минут пропадает звук и больше не появляется пока не перезагрузишь. И так постоянно на любом канале. В чем может быт проблема? Я специально полностью сносил систему и ставил все по новой  и без результатно. (Ubuntu 14.04)

Просто кривые трансляции. Можно правой кнопкой по экрану - аудиодорожка - отключить - включить
Нет, так не помогает.
Как можно избавиться от жуткой надписи "буферизация"? Достало уже  >:(
(http://i58.fastpic.ru/thumb/2015/0424/09/4b1116ca813201a1cef4d8d99063ca09.jpeg) (http://fastpic.ru/view/58/2015/0424/4b1116ca813201a1cef4d8d99063ca09.png.html)
Linux Mint 17.1 Cinnamon, на форточке так же?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: lsh от 05 Май 2015, 18:16:56
Всем привет!

Почему-то версия под linux работает гораздо хуже виндовой.
Стоит ubuntu 14.04, движок установлен из этого репозитория "deb http://repo.acestream.org/ubuntu/ trusty main", последняя версия.
Используется в связке с aceproxy для просмотра на умном телеке. Аceproxy часто жалуется что не может получить url от движка (у него для этого целых 40 секунд, аж), в выводе движка в консоль url в этих случаях тоже не появляется. Т.е. вообще ничего не воспроизводится.  Если воспроизведение и начинается, то после большой задержки (впритык к таймауту aceproxy) и часто сваливается в буферизацию. Пробовал на двух компьютерах - результат не меняется. От канала это не зависит.

При этом, на тех же компьютерах при использовании виндовой версии проблем возникает гораздо меньше, только зависимые от канала (мало раздающих).
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: yuriyfirstov@gmail.com от 18 Май 2015, 09:50:14
Пакеты, имеющие неудовлетворённые зависимости:
acestream-full : Зависит: acestream-player (>= 3.0.2-1trusty1) но он не будет установлен
Зависит: acestream-mozilla-plugin (>= 3.0.2-1trusty1) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
ubuntu 14.10
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: lushik47 от 03 Июнь 2015, 13:06:47
 Планшет Asus. Не могу загрузить ПО Ace Strim
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Sk1f от 17 Июнь 2015, 12:45:18
Установка, мне помогла:
Цитировать
Простое решение для ubuntu новее 14.04 - подключить репозиторий от 14.04.
Код: [Выделить]
deb http://archive.ubuntu.com/ubuntu/ trusty main restricted multiverse universe
добавить в настройках


Затем всё те же:
Код: [Выделить]
echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list
wget -q -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -
sudo apt update && sudo apt install acestream-full


 Все станет, подтянет зависимости, а потом репозиторий можно отключить. Всё безболезненно. Либо вы руками пакеты недостающие ставить будете. Либо автоматом они подтянутся.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: milky_milk от 05 Сентябрь 2015, 20:12:59
Здравствуйте.
Скажите, пожалуйста, для Debian 8 Jessie будет дистрибутив?
Спасибо.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Harkonnen от 06 Сентябрь 2015, 10:36:41
Здравствуйте.
Скажите, пожалуйста, для Debian 8 Jessie будет дистрибутив?
Спасибо.

Ставишь ручками отсюда https://packages.debian.org/wheezy/python-apsw (https://packages.debian.org/wheezy/python-apsw) python-apsw от wheezy, холдишь его чтоб не пытался обновлятся,  прописываешь в apt deb http://repo.acestream.org/ubuntu/ precise main и ставишь acestream, все работает.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: milky_milk от 06 Сентябрь 2015, 11:36:27
Здравствуйте.
Скажите, пожалуйста, для Debian 8 Jessie будет дистрибутив?
Спасибо.

Ставишь ручками отсюда https://packages.debian.org/wheezy/python-apsw (https://packages.debian.org/wheezy/python-apsw) python-apsw от wheezy, холдишь его чтоб не пытался обновлятся,  прописываешь в apt deb http://repo.acestream.org/ubuntu/ precise main и ставишь acestream, все работает.

Установил python-apsw, захолдил
dpkg -l | grep python-apsw
hi  python-apsw   

Добавил репозиторий precise с публичным ключиком, попытался установить acestream-full:
apt-get install acestream-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 acestream-full : Depends: acestream-player (>= 3.0.2-1precise1) but it is not going to be installed
                  Depends: acestream-mozilla-plugin (>= 3.0.2-1precise1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Поптытался установить плеер:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 acestream-player-data : Depends: libass4 (>= 0.9.7) but it is not installable
                         Depends: libavcodec53 (>= 4:0.7-1) but it is not installable or
                                  libavcodec-extra-53 (>= 4:0.7-1) but it is not installable
                         Depends: libavformat53 (>= 4:0.7-1) but it is not installable or
                                  libavformat-extra-53 (>= 4:0.7-1) but it is not installable
                         Depends: libavutil51 (>= 4:0.7-1) but it is not installable or
                                  libavutil-extra-51 (>= 4:0.7-1) but it is not installable
                         Depends: libdvbpsi7 (>= 0.2.0) but it is not installable
                         Depends: libebml3 but it is not installable
                         Depends: libgcrypt11 (>= 1.5.0-0) but it is not installable
                         Depends: libgnutls26 (>= 2.9.11-0) but it is not installable
                         Depends: libmatroska5 but it is not installable
                         Depends: libswscale2 (>= 4:0.7-1) but it is not installable or
                                  libswscale-extra-2 (>= 4:0.7-1) but it is not installable
                         Depends: libudev0 (>= 147) but it is not installable
                         Depends: libupnp4 but it is not installable or
                                  libupnp3 but it is not installable
                         Depends: libx264-120 but it is not installable
E: Unable to correct problems, you have held broken packages.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Harkonnen от 14 Сентябрь 2015, 02:31:20
[quote author=milky_milk link=topic=2967.msg12488#msg12488 date=1441528587]

The following packages have unmet dependencies:
 acestream-player-data : Depends: libass4 (>= 0.9.7) but it is not installable
                         Depends: libavcodec53 (>= 4:0.7-1) but it is not installable or
                                  libavcodec-extra-53 (>= 4:0.7-1) but it is not installable
                         Depends: libavformat53 (>= 4:0.7-1) but it is not installable or
                                  libavformat-extra-53 (>= 4:0.7-1) but it is not installable
                         Depends: libavutil51 (>= 4:0.7-1) but it is not installable or
                                  libavutil-extra-51 (>= 4:0.7-1) but it is not installable
                         Depends: libdvbpsi7 (>= 0.2.0) but it is not installable
                         Depends: libebml3 but it is not installable
                         Depends: libgcrypt11 (>= 1.5.0-0) but it is not installable
                         Depends: libgnutls26 (>= 2.9.11-0) but it is not installable
                         Depends: libmatroska5 but it is not installable
                         Depends: libswscale2 (>= 4:0.7-1) but it is not installable or
                                  libswscale-extra-2 (>= 4:0.7-1) but it is not installable
                         Depends: libudev0 (>= 147) but it is not installable
                         Depends: libupnp4 but it is not installable or
                                  libupnp3 but it is not installable
                         Depends: libx264-120 but it is not installable
E: Unable to correct problems, you have held broken packages.
[/quote]

Хм... у меня после апгрейда с wheezy на jessie пришлось только с python-apsw химичить. А все либы с фиксироваными версиями уже стояли. Вот откуда я их раньше брал точно не скажу но скорее всего это все дебиановское же от предудуших версий. Попробуй добавить в апт репы wheezy, wheezy-backports, squeezy и squeezy-backports как самого дебиана так и deb-multimedia.org...
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: milky_milk от 16 Сентябрь 2015, 08:36:41
[quote author=milky_milk link=topic=2967.msg12488#msg12488 date=1441528587]

The following packages have unmet dependencies:
 acestream-player-data : Depends: libass4 (>= 0.9.7) but it is not installable
                         Depends: libavcodec53 (>= 4:0.7-1) but it is not installable or
                                  libavcodec-extra-53 (>= 4:0.7-1) but it is not installable
                         Depends: libavformat53 (>= 4:0.7-1) but it is not installable or
                                  libavformat-extra-53 (>= 4:0.7-1) but it is not installable
                         Depends: libavutil51 (>= 4:0.7-1) but it is not installable or
                                  libavutil-extra-51 (>= 4:0.7-1) but it is not installable
                         Depends: libdvbpsi7 (>= 0.2.0) but it is not installable
                         Depends: libebml3 but it is not installable
                         Depends: libgcrypt11 (>= 1.5.0-0) but it is not installable
                         Depends: libgnutls26 (>= 2.9.11-0) but it is not installable
                         Depends: libmatroska5 but it is not installable
                         Depends: libswscale2 (>= 4:0.7-1) but it is not installable or
                                  libswscale-extra-2 (>= 4:0.7-1) but it is not installable
                         Depends: libudev0 (>= 147) but it is not installable
                         Depends: libupnp4 but it is not installable or
                                  libupnp3 but it is not installable
                         Depends: libx264-120 but it is not installable
E: Unable to correct problems, you have held broken packages.

Хм... у меня после апгрейда с wheezy на jessie пришлось только с python-apsw химичить. А все либы с фиксироваными версиями уже стояли. Вот откуда я их раньше брал точно не скажу но скорее всего это все дебиановское же от предудуших версий. Попробуй добавить в апт репы wheezy, wheezy-backports, squeezy и squeezy-backports как самого дебиана так и deb-multimedia.org...
[/quote]
Помогло. Судя по списку зависимостей, достаточно репов wheezy и squeeze-backports.
Спасибо за помощь!
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Solaris_D от 19 Сентябрь 2015, 09:37:37
Есть проблемка на LM Cinnamon 17.2:
Крашится Viber после установки AceStream (пробовал на 2-х разных системах) причем удаление AceStream проблему не решает, я правда в Линуксе нуб, может кто попробует провести аналогичный эксперимент из знающих.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Solaris_D от 24 Сентябрь 2015, 09:11:14
Есть проблемка на LM Cinnamon 17.2:
Крашится Viber после установки AceStream (пробовал на 2-х разных системах) причем удаление AceStream проблему не решает, я правда в Линуксе нуб, может кто попробует провести аналогичный эксперимент из знающих.

Путем долгих мытарств вычленил что проблема появляется после установки пакета acestream-mozilla-plugin
если снести конкретно его то Viber снова нормально работает.

Решение из энторнетов:

Цитировать
У кого проблемы с Viber-ом, решение:

При установленном плагине Ace Stream для Firefox возможно будет вылетать Viber

(после реализации фикса, проверьте также работоспособность Ace Stream в Firefox)


Решение: перенос файла плагина libace_plugin.so


мануально

из       /usr/lib/mozilla/plugins           в             /usr/lib/firefox-addons/plugins/


или в терминале

sudo mv /usr/lib/mozilla/plugins/libace_plugin.so /usr/lib/firefox-addons/plugins/
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: 2009leon от 29 Сентябрь 2015, 18:06:29
Всем привет, Ребят подскажите чайнику пошагово как установить  Ace Stream в Debian 8.2 Может кто монуальчик скинуть.
А то приходится из за этого сидеть на Ubuntu ( :(
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: res от 01 Октябрь 2015, 19:54:21
UPD: Так, похоже это что то у провайдера, что это может быть - к какому ресурсу движек не может достучаться?

Второй день подряд вечером при старте движка получаю ошибки, при этом днём и утром всё работает, что то отваливается?

2015-10-01 19:48:58,521|Timer-Thread-22|acestream.AdManager|error
Traceback (most recent call last):
  File "core.c", line 598, in
  File "ACEStream/Core/Utilities/timeouturlopen.py", line 77, in urlOpenTimeout
  File "/usr/lib/python2.7/urllib2.py", line 404, in open
    response = self._open(req, data)
  File "/usr/lib/python2.7/urllib2.py", line 422, in _open
    '_open', req)
  File "/usr/lib/python2.7/urllib2.py", line 382, in _call_chain
    result = func(*args)
  File "ACEStream/Core/Utilities/timeouturlopen.py", line 44, in http_open
  File "/usr/lib/python2.7/urllib2.py", line 1187, in do_open
    r = h.getresponse(buffering=True)
  File "/usr/lib/python2.7/httplib.py", line 1051, in getresponse
    response.begin()
  File "/usr/lib/python2.7/httplib.py", line 415, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python2.7/httplib.py", line 371, in _read_status
    line = self.fp.readline(_MAXLINE + 1)
  File "/usr/lib/python2.7/socket.py", line 476, in readline
    data = self._sock.recv(self._rbufsize)
timeout: timed out


PS: Ещё данная ошика наблюдалась на выходных - как победить?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Amethystium от 05 Октябрь 2015, 15:50:05
Всем привет, Ребят подскажите чайнику пошагово как установить  Ace Stream в Debian 8.2 Может кто монуальчик скинуть.
А то приходится из за этого сидеть на Ubuntu ( :(
каких то "особых" трудностей нет, просто придется использовать пакеты для убунту 14.04 и решить с десяток зависимостей, используя опять таки репозитории убунтовские, в дебиане мало что есть для этого софта, как вариант - скачайте готовую сборку с рутрекера, дебиан 8 xfce, там есть и acestream в т.ч., и compiz и много чего интересного еще, раз уж хочется дебиан  :)
или мой full-комплект (http://sfshare.se/7d8delo95d1z), ставим аккуратно, по-файлово, например, с помощью gdebi, обращая внимание на зависимости, все необходимое там есть, в сборке на рутрекере эти же пакеты...
(http://ipic.su/img/img7/tn/Snimokekrana-05.1444050923.png) (http://ipic.su/img/img7/fs/Snimokekrana-05.1444050923.png)
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: asterixx от 08 Октябрь 2015, 21:14:38
Народ, почему не работает http://repo.acestream.org/ubuntu/ ?  пишет 403 Forbidden
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: asterixx от 11 Октябрь 2015, 12:05:05
Форум тут живой?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: grobovshick от 14 Октябрь 2015, 19:45:56
Народ, почему не работает http://repo.acestream.org/ubuntu/ ?  пишет 403 Forbidden
Может потому что невнимательно прочитали инструкцию и вместо добавления репозитория, как указано на первой странице, пытаетесь открыть ссылку?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: asterixx от 15 Октябрь 2015, 21:22:07
Может потому что невнимательно прочитали инструкцию и вместо добавления репозитория, как указано на первой странице, пытаетесь открыть ссылку?

Есть всё таки живые :)
Прочитал я внимательно, но перед тем как добавить репозиторий решил проверить работоспособность указанно ссылки, просто нажав на неё и браузер (опера, фаер фокс) выдала мне эту ошибку.
Если провести аналогичные действия по работающим репозиториям (нажать на ссылку или скопировать в адресную строку, например: http://de.archive.ubuntu.com/ubuntu/ ), тогда откроется содержимое данного репозитория.
По данной ссылке: http://repo.acestream.org/ubuntu/   выдаёт ошибку.
Возможно что-то не знаю, т.к. недавно перешёл на Kubuntu
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Bloodzeed от 17 Октябрь 2015, 23:32:16
been getting ACEStream/Core/BitTornado/bencode.py", line 96, in bdecode
ValueError: bad bencoded data
2015-10-17 17:53:53,774|AceStreamCoreThread|acestream.BT.Connecter.Connecter|got_broadcast: failed to decode payload
Traceback (most recent call last):
  File "core.c", line 2634, in
  File "ACEStream/Core/BitTornado/bencode.py", line 96, in bdecode
ValueError: bad bencoded data
2015-10-17 17:53:58,192|AceStreamCoreThread|acestream.BT.Connecter.Connecter|got_broadcast: failed to decode payload
Traceback (most recent call last):
  File "core.c", line 2634, in errors

whats all these? i run 2 streams other is fine but this one im getting this other is fine
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Bloodzeed от 18 Октябрь 2015, 10:31:14
do we still skip tracker large broadcast users i use xbt
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: 25kTV от 19 Октябрь 2015, 22:31:19
Вопрос . Как использовать функцию Metatracker? или Необходимо использовать более одного сервера? Спасибо за ваш ответ.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: garynych от 24 Октябрь 2015, 10:36:54
Хотелось бы использовать плеер на Debian 8 x64
если Вы про именно плеер,то увы,скорее всего этого не будет вообще
а если вам нужно просто например использовать (смотреть) торрент тв и и т.п. и т.д. то
нет ничего лучше чем заюзать Kodi Media Center
установка его производиться путём добавления репозитприя стороннего

в /etc/apt/sources.list добавить

deb http://debian.oppserver.net/xbmc/ jessie main non-free contrib
deb-src http://debian.oppserver.net/xbmc/ jessie main non-free contrib

deb http://ftp.debian.org/debian/ jessie-backports main contrib non-free
deb-src http://ftp.debian.org/debian/ jessie-backports main contrib non-free

deb http://www.deb-multimedia.org/ jessie main non-free
deb-src http://www.deb-multimedia.org/ jessie main
deb http://www.deb-multimedia.org/ jessie-backports main
deb-src http://www.deb-multimedia.org/ jessie-backports main

далее
sudo apt-get update
sudo apt-get install kodi
sudo apt-get install kodi-pvr-iptvsimple

как смотреть с torrent-tv.ru смотрите на их сайте инструкцию по настройке

всё... можно использовать...
если что,то ютуб полон инструкций по этому комбайну,да и не только ютуб но и просто полно примеров настройки на любой вкус,есть ещё разные адоны (PVR Addon) к нему,это уже смотрите в инструкции на сайте к нему
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: asterixx от 25 Октябрь 2015, 19:19:56
Исправляюсь и извиняюсь. Всё сделал как по инструкции с первого поста. Работает!
Только не работает перемотка, может кто знает как исправить?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Bloodzeed от 22 Ноябрь 2015, 09:09:27
can anyone give me instructions how to replace acestream 3.0.5.1 to http://dl.acestream.org/ubuntu/12/acestream_3.1.0-b3-pre4_ubuntu_12.04_x86_64.tar.gz

And keep the same content ID used with 3.0 version?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: usm от 07 Декабрь 2015, 15:19:06
Как вы это устанавливаете? :) Пытался установить на ubuntu 15.10 64битную - не вышло, проблемы с зависимостями.

 
Цитировать
   sudo apt-get install acestream-full
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    acestream-full : Depends: acestream-player (>= 3.0.2-1trusty1) but it is not going to be installed
                      Depends: acestream-mozilla-plugin (>= 3.0.2-1trusty1) but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.

Мне в принципе и без ace player устроило бы, благо, vlc и так есть. В любом случае, метапакет не ставится, а если ставить отдельно пакеты, то становится только acestreamengine. Плагин для браузера требует пакет data , которому нужно несколько зависимостей, которые хотят сломать vlc ..

Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: cat_baxter от 08 Декабрь 2015, 17:27:41
Имею Ubuntu 15.04 64bit, Acestream version: 3.0.2 revision: 1324

через некоторое время работы движок валится с соообщением:

 12812 Segmentation fault      (core dumped)

где брать дамп и куда засылать? :)
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: bezga от 13 Декабрь 2015, 12:05:43
Ace Stream 3.0 для Ubuntu
Выпущена версия Ace Stream 3.0.2 для Ubuntu. Основное нововведение - поддержка нового протокола. Новая версия доступна в репозиториях для Ubuntu 12.04, 13.10 и 14.04. Ссылки на репозитории и инструкции по установке описаны ниже.

Установка Ace Stream на Ubuntu из репозитория

Шаг 1

Добавить ссылку на соответствующий репозиторий в файл /etc/apt/sources.list.

Репозиторий следует выбирать в зависимости от операционной системы.

Ubuntu 12.04:
deb http://repo.acestream.org/ubuntu/ precise main

Ubuntu 13.10:
deb http://repo.acestream.org/ubuntu/ saucy main

Ubuntu 14.04:
deb http://repo.acestream.org/ubuntu/ trusty main

Шаг 2

Установка публичного ключа. Для этого необходимо выполнить следующую команду:

sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -

Шаг 3

Установка пакета acestream-full.

sudo apt-get update
sudo apt-get install acestream-full

В репозитории для Ubuntu доступны следующие пакеты:
  • acestream-engine - движок
  • acestream-mozilla-plugin - плагин для браузеров
  • acestream-player - десктопный плеер
  • acestream-player-data - набор общих библиотек для плеера и плагина
  • acestream-full - полный пакет, который включает в себя все вышеперечисленные

----------------------------------------------------------------------

Исходные коды самого плеера (Ace Player) выложены здесь: https://bitbucket.org/AceStream/acestreamplayer
P.S. Мы будем рады всем желающим которые помимо использования плеера и еще и примут активное участие в его разработке и развитии. 

Также напоминаем, что все сборки последних версий движка 3.0 ( без плеера) представлены здесь: http://wiki.acestream.org/wiki/index.php/AceStream_3.0
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: sokoban от 27 Декабрь 2015, 14:04:47
Как вы это устанавливаете? :) Пытался установить на ubuntu 15.10 64битную - не вышло, проблемы с зависимостями.

 
Цитировать
   sudo apt-get install acestream-full
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    acestream-full : Depends: acestream-player (>= 3.0.2-1trusty1) but it is not going to be installed
                      Depends: acestream-mozilla-plugin (>= 3.0.2-1trusty1) but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.

Мне в принципе и без ace player устроило бы, благо, vlc и так есть. В любом случае, метапакет не ставится, а если ставить отдельно пакеты, то становится только acestreamengine. Плагин для браузера требует пакет data , которому нужно несколько зависимостей, которые хотят сломать vlc ..

Я тоже хотел узнать как можно установить на Ununtu 15.10 x64
Только енджине успел
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: GConst от 15 Январь 2016, 08:47:37
Sokoban
ace stream из репозитария ставится только на LTS дистрибы убунты. для 15.04 необходимо ручкам устанавливать все необходимые компоненты и разбираться с зависимостями. к слову у меня не получилось.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: GConst от 15 Январь 2016, 08:51:51
Bloodzeed
actually, you can unpack archive which you wrote before, and replace folders and binaries in /usr/share/acestream and /etc
did you tried it?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: GConst от 16 Январь 2016, 00:25:02
Уважаемые разработчики, подскажите пожалуйста, почему в версии version=3.1.0-b3 для линукс  нету функционала прокси, а для винды есть. разве одинаковые версии по для параллельных веток не должны содержать одинаковый функционал?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Alexanapa от 23 Январь 2016, 04:19:53
здравствуйте!!пробую установить  на тв  самсунг ,но  не идёт,это  проблема?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: assus от 08 Февраль 2016, 12:26:13
Ребята никак немогу настроить, чтобы можно было подключится из внешней сети к движку...
Запускаю так:

root@ubuntu:~# acestreamengine --client-console --service-remote-access
2016-02-08 12:23:07,756|MainThread|acestream|platform=linux
2016-02-08 12:23:07,756|MainThread|acestream|app=acestream
2016-02-08 12:23:07,757|MainThread|acestream|version=3.0.3 code=3000300 revision=1355 date=2014-10-31
2016-02-08 12:23:07,757|MainThread|acestream|use_local_db=True
2016-02-08 12:23:07,757|MainThread|acestream|use_m2crypto=True
2016-02-08 12:23:07,758|MainThread|acestream|enable debug: 0
2016-02-08 12:23:07,758|MainThread|acestream|get_default_api_version: 2
2016-02-08 12:23:07,759|MainThread|acestream.coreapp|use fixed i2i_port: 62062
2016-02-08 12:23:07,784|MainThread|acestream.SocketHandler.InterruptSocket|bound on 127.0.0.1:36837
2016-02-08 12:23:07,785|MainThread|acestream.SocketHandler.SocketHandler|bind: socket bound: host=0.0.0.0 port=8621
2016-02-08 12:23:07,785|MainThread|acestream.LM|listen on 8621
2016-02-08 12:23:07,793|MainThread|acestream.VideoServer|start: addr=127.0.0.1 port=6878
2016-02-08 12:23:07,799|MainThread|acestream.SocketHandler.InterruptSocket|bound on 127.0.0.1:54024
2016-02-08 12:23:07,799|MainThread|acestream.SocketHandler.SocketHandler|bind: socket bound: host=127.0.0.1 port=62062
2016-02-08 12:23:07,804|Instance2InstanceThread-24|acestream.APIServer|run: ready to receive remote commands on 62062


И только по внутреннему IP даёт соединится, а по внешнему IP, никак. В чём проблема ?

Спасибо.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Maxwell51 от 08 Февраль 2016, 19:59:00
Ребята никак немогу настроить, чтобы можно было подключится из внешней сети к движку...
Запускаю так:

root@ubuntu:~# acestreamengine --client-console --service-remote-access
2016-02-08 12:23:07,756|MainThread|acestream|platform=linux
2016-02-08 12:23:07,756|MainThread|acestream|app=acestream
2016-02-08 12:23:07,757|MainThread|acestream|version=3.0.3 code=3000300 revision=1355 date=2014-10-31
2016-02-08 12:23:07,757|MainThread|acestream|use_local_db=True
2016-02-08 12:23:07,757|MainThread|acestream|use_m2crypto=True
2016-02-08 12:23:07,758|MainThread|acestream|enable debug: 0
2016-02-08 12:23:07,758|MainThread|acestream|get_default_api_version: 2
2016-02-08 12:23:07,759|MainThread|acestream.coreapp|use fixed i2i_port: 62062
2016-02-08 12:23:07,784|MainThread|acestream.SocketHandler.InterruptSocket|bound on 127.0.0.1:36837
2016-02-08 12:23:07,785|MainThread|acestream.SocketHandler.SocketHandler|bind: socket bound: host=0.0.0.0 port=8621
2016-02-08 12:23:07,785|MainThread|acestream.LM|listen on 8621
2016-02-08 12:23:07,793|MainThread|acestream.VideoServer|start: addr=127.0.0.1 port=6878
2016-02-08 12:23:07,799|MainThread|acestream.SocketHandler.InterruptSocket|bound on 127.0.0.1:54024
2016-02-08 12:23:07,799|MainThread|acestream.SocketHandler.SocketHandler|bind: socket bound: host=127.0.0.1 port=62062
2016-02-08 12:23:07,804|Instance2InstanceThread-24|acestream.APIServer|run: ready to receive remote commands on 62062


И только по внутреннему IP даёт соединится, а по внешнему IP, никак. В чём проблема ?

Спасибо.

в кривизне рук. настройки смотрите
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: assus от 08 Февраль 2016, 23:06:23
Ну может и в кривизне... Можно не издеватся ? И сказать по конкретней ? Где и какие настроийки ?

Спасибо
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kis-kis-may от 12 Февраль 2016, 13:45:49
а можно в wine установить windows-версию в случае ubuntu 15.10? или работать не будет?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: legionnet от 15 Март 2016, 13:58:52
а можно в wine установить windows-версию в случае ubuntu 15.10? или работать не будет?
у меня получилось для acestreamengine
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: rami от 30 Март 2016, 01:12:08
а можно в wine установить windows-версию в случае ubuntu 15.10? или работать не будет?
у меня получилось для acestreamengine
Как именно?
спасибо
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kononvaler от 30 Март 2016, 08:25:08
Почему на работает ни один репозитарий из описанных???
Если их нет может пометите не работающими?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Amunhateb от 16 Апрель 2016, 20:39:02
Ошибка при использовании последней версии движка:

Traceback (most recent call last):
  File "core.c", line 910, in
  File "ACEStream/Core/Utilities/timeouturlopen.py", line 77, in urlOpenTimeout
  File "/usr/lib/python2.7/urllib2.py", line 429, in open
    response = self._open(req, data)
  File "/usr/lib/python2.7/urllib2.py", line 447, in _open
    '_open', req)
  File "/usr/lib/python2.7/urllib2.py", line 407, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 1241, in https_open
    context=self._context)
  File "/usr/lib/python2.7/urllib2.py", line 1195, in do_open
    h.request(req.get_method(), req.get_selector(), req.data, headers)
  File "/usr/lib/python2.7/httplib.py", line 1057, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python2.7/httplib.py", line 1097, in _send_request
    self.endheaders(body)
  File "/usr/lib/python2.7/httplib.py", line 1053, in endheaders
    self._send_output(message_body)
  File "/usr/lib/python2.7/httplib.py", line 897, in _send_output
    self.send(msg)
  File "/usr/lib/python2.7/httplib.py", line 859, in send
    self.connect()
  File "/usr/lib/python2.7/httplib.py", line 1278, in connect
    server_hostname=server_hostname)
  File "/usr/lib/python2.7/ssl.py", line 352, in wrap_socket
    _context=self)
  File "/usr/lib/python2.7/ssl.py", line 597, in __init__
    self.do_handshake()
  File "/usr/lib/python2.7/ssl.py", line 834, in do_handshake
    match_hostname(self.getpeercert(), self.server_hostname)
  File "/usr/lib/python2.7/ssl.py", line 271, in match_hostname
    % (hostname, ', '.join(map(repr, dnsnames))))
CertificateError: hostname u'auth1.acestream.org' doesn't match either of '*.acestream.net', 'acestream.net'
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: sashokmc от 19 Апрель 2016, 16:49:01
Добрый день! очень ждём версию для архитектуры ARMHF и MIPS
Будем признательны, если соберёте версию.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: nexman от 22 Апрель 2016, 03:20:24
Робяты, а когда для 16.04 репы будут? а то из имеющихся ставиться не хочет. Понимаю, что время нужно - версия свежая, день от роду - просто обозначьте, сколько подождать надо - думаю, со временем таких, как я будет много.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: sharabdin от 22 Апрель 2016, 17:38:47
Ace Stream 3.0 для Ubuntu
Выпущена версия Ace Stream 3.0.2 для Ubuntu. Основное нововведение - поддержка нового протокола. Новая версия доступна в репозиториях для Ubuntu 12.04, 13.10 и 14.04.
можете Вы сказать дату выхода под ubuntu 16.04 LTS?

mod: не нужно цитировать всю "простыню", достаточно отдельной фразы.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kis-kis-may от 23 Апрель 2016, 11:24:49
присоединяюсь.
будут ли пакеты для 16,04?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: teratronik от 27 Апрель 2016, 21:46:34
+1 к просьбе запилить для 16.04
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: X1982 от 29 Апрель 2016, 23:31:42
Привет форумчанам.
На более старшие версии Ubuntu репозитории увы не работают. Установить не возможно.
На 16.04 планируются репозитории включить? Может у кого .deb пакет имеется для установк
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: GConst от 09 Май 2016, 17:07:52
Уважаемые разработчики,  ответьте пожалуйста по срокам поддержки 16.04 LTS и по срокам выхода 3.1 под линукс, хотя бы в виде deb пакета с текущей бета-версией.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: muscovite от 15 Май 2016, 01:24:34
Поторопился я, видать, с переходом на 16.04 LTS...
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Amunhateb от 16 Май 2016, 10:31:56
Под вайном терпимо работает движок. Просто скачать wine:

$: sudo apt-get install wine

Скачать дистр плеера для винды. И установить его по дефолту:
$: wine Ace_Stream_Media_3.1.6.exe

Появятся ярлыки для запуска плеера и медиацентра. Можно добавить загрузку движка в автозапуск, что бы MagicPlayer работал. Для отображения иконки движка в трее можно поставить indicator-systemtray-unity вот из этого ppa - https://launchpad.net/~fixnix/+archive/ubuntu/indicator-systemtray-unity.

Для добавления в автозагрузку вполне подойдет ярлык Media Center. Просто убрать открытие ссылки после запуска движка из команды запуска и все. Положить Media Center ярлык в .config/autostart.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Tamer4 от 27 Май 2016, 10:38:27
Предлагаю оформить AceStream в виде snap пакета, который появился в Ubuntu 16.04. В таком пакете можно забыть про зависимости и собрать один раз пакет хоть навсегда. Все нужные библиотеки будут находится в этом пакете и он будет работать в любой версии Ubuntu, поддерживающей технологию snappy. И не придется собирать .deb пакеты для каждой версии Ubuntu.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kononvaler от 28 Май 2016, 17:43:36
Поторопился я, видать, с переходом на 16.04 LTS...
Да тут версия вовсе не причем, предыдущих репов не существует ни под какой релиз. Их ВООБЩЕ нет.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: ASV от 29 Май 2016, 05:20:09
Подписался на эту тему, тоже жду версию для 16.04.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: coolbmb от 01 Июнь 2016, 12:48:18
Вы собираетесь выпускать под 16.04?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kis-kis-may от 17 Июнь 2016, 21:42:53
от разрабов есть хоть какие-нить комментарии по поводу релиза для новой бубунты?
Название: ACEStream в chroot
Отправлено: Null от 02 Июль 2016, 23:29:59
Установка пакетов ACEStream из репозитория (для Ubuntu 14.04) в chroot-окружении в Ubuntu 16.04 (а так же в любом другом Debian)
ACEStream ставится в изолированном chroot-окружении Ubuntu 14.04, со всеми необходимыми зависимостями и библиотеками, внутри 16.04 (или в другом Debian).

Итак, по-порядку:
(Далее в листингах yours-user необходимо заменить на имя вашего пользователя, из под которого Вы работаете в системе!)

1. Установить debootstrap:
sudo apt-get install debootstrap
2. Создать chroot (в /opt/chroot, там будет находиться корневая ФС окружения Ubuntu 14.04):
sudo mkdir /opt/chroot
sudo debootstrap --variant=buildd --arch amd64 trusty /opt/chroot http://archive.ubuntu.com/ubuntu/

3. Прописать монтирование псевдофс:
 В /etc/fstab добавить:
/proc /opt/chroot/proc none rbind 0 0
/dev /opt/chroot/dev none rbind 0 0

4. Смотнировать:
sudo mount -a
5. Установить schroot:
sudo apt-get install schroot
6. Настроить schroot:
 В /etc/schroot/schroot.conf добавить:
[trusty]
description=Ubuntu trusty
directory=/opt/chroot
users=yours-user
groups=yours-user
root-groups=root

7. Работа в chroot (пункты с 7.2 по 7.10 выполняются в изолированной chroot-системе, т.е. в п.7.1 bash как-бы запускается в Ubuntu 14.04!):

7.1. Запустить bash в chroot-окружении:
sudo schroot -c trusty -u root --directory=/root
7.2. Добавить в chroot-системе пользователя yours-user:
adduser yours-user
7.3. Сконфигуртровать локаль:
apt-get install locales dialog
locale-gen ru_RU.UTF-8
tzselect
TZ="Europe/Moscow"

7.4. Установить wget:
apt-get install wget
7.5. Добавить репозитории в /etc/apt/sources.list:
printf "deb http://archive.ubuntu.com/ubuntu/ trusty main restricted\ndeb http://archive.ubuntu.com/ubuntu/ trusty universe\ndeb http://archive.ubuntu.com/ubuntu/ trusty multiverse\ndeb http://repo.acestream.org/ubuntu/ trusty main\n" > /etc/apt/sources.list
7.6. Добавить ключ репозитория acestream:
wget -O - http://repo.acestream.org/keys/acestream.public.key | apt-key add -
7.7. Обновить:
apt-get update
7.8. Установить след. пакеты:
apt-get install libc6 libgtk2.0-bin libgtk-3.0 dbus-x11 python2.7 libpython2.7 python-apsw python-m2crypto python-pkg-resources python-gtk2 python-appindicator python-gevent
7.9. Установить acestream:
apt-get install acestream-engine acestream-player
7.10. Выход из bash в chroot:
exit

Запуск acestreamengine:
schroot -c trusty -u yours-user -p -- /usr/bin/acestreamengine --client-gtk &> /dev/null &или в режиме консоли для диагностики:
schroot -c trusty -u yours-user -p -- /usr/bin/acestreamengine --client-console
Запуск acestreamplayer:
schroot -c trusty -u yours-user -p -- /usr/bin/acestreamplayer &> /dev/null
-------
Применение тем оформления среды рабочего стола к приложениям запущенным в chroot.

Чтобы запущенный в chroot aceplayer имел внешний вид соответствующий оформлению рабочего стола необходимо проделать следующее (на примере XFCE в Xubuntu):

1. Прописать монтирование директорий с темами и иконками из основной системы в chroot:
 Добавить в /etc/fstab:
/usr/share/themes /opt/chroot/usr/share/themes none rbind 0 0
/usr/share/icons /opt/chroot/usr/share/icons none rbind 0 0

2. Смотнировать:
sudo mount -a
3. Запустить bash в chroot-окружении:
sudo schroot -c trusty -u root --directory=/root
4. Установить необходимые движки для тем в chroot-системе (gtk2-engines, gtk2-engines-cleanice, gtk2-engines-murrine и пр.)
apt-get install gtk2-engines gtk2-engines-cleanice gtk2-engines-murrine
5. Если необходимо, доустановить в chroot-системе шрифты (fonts-dejavu, fonts-droid, fonts-noto и пр.) и курсоры (xcursor-themes, dmz-cursor-theme и т.п.)
apt-get install fonts-dejavu fonts-droid fonts-noto xcursor-themes dmz-cursor-theme
6. Выход из bash в chroot:
exit
7. Для корректного отображения иконки acestereamengine в трее необходимо создать папку /usr/share/acestream/data/images:
mkdir -p /usr/share/acestream/data/imagesи скопировать содержимое аналогичной папки из chroot в основную систему:
cp /opt/chroot/usr/share/acestream/data/images/* /usr/share/acestream/data/images/
После проделанных операций нужно запустить aceplayer и в настройках в разделе "Интерфейс" выставить "Стиль окон" в GTK+.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: sokoban от 06 Июль 2016, 21:53:21
https://www.youtube.com/watch?v=73yuNt6VvLE
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Extremal1981 от 12 Июль 2016, 11:14:41
Не обязательно так сильно плясать с бубном через chroot
Сейчас есть способ поставить AceStream на Ubuntu 16.04 немного проще как мне кажется:

Скачиваем и распаковываем AceStream.tar.gz по ссылочке:
https://drive.google.com/folderview?id=0Bx3208J8pJjsM1RHM3RFeFRXNHc&usp=sharing (https://drive.google.com/folderview?id=0Bx3208J8pJjsM1RHM3RFeFRXNHc&usp=sharing)
sudo apt-get install gdebi
sudo gdebi libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
sudo gdebi acestream-player-data_3.0.2-1.1_amd64.deb
sudo gdebi acestream-player-compat_3.0.2-1.1_amd64.deb
sudo gdebi acestream-engine_3.0.5.1-0.2_amd64.deb
sudo gdebi acestream-player_3.0.2-1.1_amd64.deb

Ну и если нужен acestream-plugin для Firefox ставим из репов 14.04
echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list
sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -
sudo apt-get update
sudo apt-get install acestream-full

К сожалению совсем без бубна пока никак! ((  Ждём пока разрабы уже вспомнят что на новый LTS уже очень много людей по всему миру обновились.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kis-kis-may от 13 Июль 2016, 12:26:45
это ломает зависимости способ
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Null от 13 Июль 2016, 13:56:36
Extremal1981, в принципе, для меня главной причиной изолировать acestream в chroot стала безопасность, ибо с недавних пор aceplayer начал самовольно запускать браузер в попытках зайти на какие-то мутные url и выполнить js-скрипты, видимо рекламного характера... Тут лучше предохраняться, как говориться ))
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: GConst от 15 Июль 2016, 22:25:31
Под вайном терпимо работает движок.

у Вас в 16.04 под вайном работает? прокси пробовали использовать?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Amunhateb от 19 Июль 2016, 13:17:03
Под вайном терпимо работает движок.

у Вас в 16.04 под вайном работает? прокси пробовали использовать?

прокси работает.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: leonid.mew от 23 Август 2016, 14:26:05
Устанавливаю через schroot на xubuntu? почти все получилось, в конце выдает ошибку:
root@mplayer:~# apt-get install acestream-engine acestream-player
Reading package lists... Done
Building dependency tree       
Reading state information... Done
acestream-engine is already the newest version.
acestream-player is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up libpam-systemd:i386 (204-5ubuntu20) ...
initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused
invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
dpkg: error processing package libpam-systemd:i386 (--configure):
 subprocess installed post-installation script returned error exit status 100
dpkg: dependency problems prevent configuration of policykit-1:
 policykit-1 depends on libpam-systemd; however:
  Package libpam-systemd:i386 is not configured yet.

dpkg: error processing package policykit-1 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of colord:
 colord depends on policykit-1 (>= 0.103); however:
  Package policykit-1 is not configured yet.

dpkg: error processing package colord (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libpam-systemd:i386
 policykit-1
 colord
E: Sub-process /usr/bin/dpkg returned an error code (1)
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Null от 24 Август 2016, 19:12:14
Устанавливаю через schroot на xubuntu? почти все получилось, в конце выдает ошибку:
root@mplayer:~# apt-get install acestream-engine acestream-player
Reading package lists... Done
Building dependency tree       
Reading state information... Done
acestream-engine is already the newest version.
acestream-player is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up libpam-systemd:i386 (204-5ubuntu20) ...
initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused
invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
dpkg: error processing package libpam-systemd:i386 (--configure):
 subprocess installed post-installation script returned error exit status 100
dpkg: dependency problems prevent configuration of policykit-1:
 policykit-1 depends on libpam-systemd; however:
  Package libpam-systemd:i386 is not configured yet.

dpkg: error processing package policykit-1 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of colord:
 colord depends on policykit-1 (>= 0.103); however:
  Package policykit-1 is not configured yet.

dpkg: error processing package colord (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libpam-systemd:i386
 policykit-1
 colord
E: Sub-process /usr/bin/dpkg returned an error code (1)
Да, у меня такие же ошибки были... Не стал с ними разбираться, просто оставил как есть. Эти пакеты всё-равно ни как не влияют на работу acestream...
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Cyril от 27 Август 2016, 11:36:17
Я пересел с Windows на Ubuntu 16.04 LTS и тоже очень жду Ace Stream. Удивлен, что команда Ace Stream так нерасторопна. Пусть лучше бы для LTS версий тогда писали в первую очередь, чтобы им не пришлось каждые полгода делать сборку для новой версии Ubuntu. А так сделали сборку и в течение четырех лет исправляли баги и улучшали не торопясь. Это было бы правильнее с точки зрения портирования своего продукта на Linux-ситсемы - долгосрочные версии - приоритет.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Cyril от 27 Август 2016, 13:29:20
https://www.youtube.com/watch?v=73yuNt6VvLE

Спасибо за ссылку. Я поставил, вроде все в порядке. Правда проверил только в Firefox, отдельно AceStream Player не проверял.

У меня вопрос, а если команда AceStream соберет официальный пакет для Ubuntu 16.04, мне достаточно будет обновить установленные пакеты или надо будет удалять эти и ставить новые?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Harkonnen от 03 Сентябрь 2016, 17:24:20
У меня перестал работать acestreamplayer (веб плагин работает), я подозреваю что после секурити апдейта какой-то из базовых либ (debian 8 )

Показывает рекламный ролик и вылетает с вот таким сообшением:
acestreamplayer: /home/odmin/projects/acestreamplayer/vlc-2.1.4/src/posix/thread.c:268: vlc_assert_locked: Assertion `pthread_mutex_lock (p_mutex) == 35' failed.

Гугл на этот сообшение дает 0 хитов O_O.

Никто не сталкивался? Как боротся?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: kis-kis-may от 04 Сентябрь 2016, 19:23:10
установил через готовые деб-пакеты на lubuntu 16.04.  но запустить сразу не удалось. запуск традиционно через acestreamplayer не подтянул движок, в консоле ругань касающаяся версии vlc и каких-то портов.
тогда решил запустить движок отдельно через acestreamengine --client-gtk нарвался на ошибку что gtk не установлен. запустился он только через acestreamengine --client-console затем запустил плеер и пошло более-менее.
вот только остался один вопрос где теперь настроить време пребуфферизации (я устанавливаю значение в 60 сек) ?
кто знаком помогите пожалуйста!
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Internet-Uzver от 13 Сентябрь 2016, 11:49:08
Linux Mint 17 (Ubuntu 14.04) i386

 При старте:
acestreamengine --client-wx --gui-wx

 ругается:
Can't load image from file '/usr/share/acestream/data/images/engine.ico': file does not exist.
 Но, работает, видосики играются.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: GConst от 23 Сентябрь 2016, 10:35:13
а иконка там есть?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Null от 27 Сентябрь 2016, 23:27:53
...
вот только остался один вопрос где теперь настроить време пребуфферизации (я устанавливаю значение в 60 сек) ?
кто знаком помогите пожалуйста!
Настройки опций acestreamengine (те что в аплете который в трее висит при --client-gtk) находятся в файле ~/.ACEStream/playerconf.pickle. Открывается текстовым редактором.
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: shimi от 02 Ноябрь 2016, 08:10:54
Will 3.1 be released for linux? Or has linux support been dropped?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: balu8596 от 15 Декабрь 2016, 10:09:39
Добрый день не могу установить движок норм на kubuntu 14.04 64 делаю все как написано на первой странице
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Benny от 15 Декабрь 2016, 12:39:14
не могу установить движок норм на kubuntu 14.04 64
А подробнее -  т.е что происходит после "sudo apt-get install acestream-engine"?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: balu8596 от 15 Декабрь 2016, 15:53:02
не могу установить движок норм на kubuntu 14.04 64
А подробнее -  т.е что происходит после "sudo apt-get install acestream-engine"?
В синаптике показывает что стоит движок только он не запускается почемуто
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Benny от 15 Декабрь 2016, 18:23:22
показывает что стоит движок только он не запускается
Тяжело в деревне без нагана... так "не устанавливается", или "не запускается"?
"Не запускается" в чем проявляется? Если написать в терминале чего-нить вроде
/usr/bin/acestreamengine --client-console --cache-dir "/tmp" --log-file "/tmp/ace.log"
то что в результате - как на экране, так и в логах?
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: Constantin от 02 Февраль 2017, 17:46:23
Самые актуальные версии для Ubuntu, можно взять здесь: http://wiki.acestream.org/wiki/index.php/Install_Ubuntu  ( версия 3.1.)
Инструкции по установки, здесь: http://wiki.acestream.org/wiki/index.php/Install_Ubuntu
Название: Re: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Отправлено: sashokmc от 02 Февраль 2017, 20:12:09
Самые актуальные версии для Ubuntu, можно взять здесь: http://wiki.acestream.org/wiki/index.php/Install_Ubuntu  ( версия 3.1.)
Инструкции по установки, здесь: http://wiki.acestream.org/wiki/index.php/Install_Ubuntu
Спасибо огромное, а Linux ARM 5,7, 64 всё так же в пролёте?